Update
Updates employee personal, contact, address, and employment fields. This endpoint currently supports email, phone, gender, address, employee_class, start_date, and compensation_type. effective_date is required and applies to employee_class and compensation_type when those fields are included in the request.
Authentication
AuthorizationBearer
API Key or Access Token authentication using Bearer token in Authorization header. API keys use the vit_apk_ prefix, access tokens use the vit_at_ prefix.
Path parameters
employee_id
Unique employee identifier (empl_*)
Request
This endpoint expects an object.
effective_date
Past or present date applied to each tracked employment field included in this request
email
Email address
phone
Phone number
gender
Gender identity
Male- MaleFemale- FemaleTransgender- TransgenderNon-binary- Non-binaryPrefer not to respond- Prefer not to respond
address
Employee's residential address
employee_class
Employment classification
Full Time- Full TimePart Time- Part TimeTemporary- TemporaryIntern- InternSeasonal- SeasonalIndividual Contractor- Individual Contractor
start_date
Employment start date
compensation_type
Employee compensation type
Salary- SalaryHourly- Hourly
Response headers
X-RateLimit-Limit
Maximum number of requests allowed within the rate limit window
X-RateLimit-Remaining
Number of requests remaining in the current rate limit window
X-RateLimit-Reset
Unix timestamp (seconds) when the rate limit window resets
Response
data
The employee record.
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error
502
Bad Gateway Error

